Does updating Flash Player and Adobe Air solve the Swf.Exploit.CVE_2014_0581 problem?

My ClamXav found the following attached to an app (JL Edwardian Advent Calendar) on my computer: Swf.Exploit.CVE_2014_0581. I have deleted and reinstalled the app, and I have updated the Flash Player and Adobe Air, but ClamXav continues to mark it as infected. Could this be a false positive? Is it safe to run this app after the updates?

Added one yesterday:
https://bugbase.adobe.com/index.cfm?event=bug&id=3560258
Interestingly air 3.7 on IOS to Desktop air 3.7 will work.
I am investigating if I can use 3.7 on Android to connect to 3.7 on iOS - so far I cannot get the apk to install on my Galaxy S3, compile using 3.4 and all is good. Air runtime has been updated via Play store - and build uses compiled runtime.
I cannot get Flash player 11.4 to connect with air 3.7 on iOS either.
NetGroup.Neighbour.Connect never fires.
All SDKS above 3.4 upto 3.8 beta exhibit the same problem.
3.4 works perfectly and can connect to flash player, and other Air/iOS devices just fine.
Shuld not be a issue with firewalls etc, thay are all open.
I can email you the fla, it is for a product so I can't post it here.
Thanks,
Steve.

Similar Messages

  • ADOBE FLASH PLAYER AND ADOBE AIR HAS BEEN UPDATED

    A new Update has Came out for Adobe Flash an Adobe Air Give it a Look in the Google Play Store.. B33

    A new Update has Came out for Adobe Flash an Adobe Air Give it a Look in the Google Play Store.. B33

  • Different performance between flash player and Adobe Air on MAC

    Hi all,
    I develop a html-based AIR application that embeds a SWF. The SWF runs very slow and choppy. The same SWF loaded directly in flash player runs ok.
    This happens only on MAC. (all Adobe AIR SDK versions do the same)
    Do you have any clue?
    Thank you
    Bye

    Hi,
    Could you provide the following infomation?
    1. What's the version of your Mac?
    3. Do you mind sending your AIR app to zjian at adobe.com for investigation?
    Thanks,
    Jian
    AIR Engineering

  • Extending Adobe Flash Player and Adobe AIR with C and C++ via ActionScript 3

    Hi Y'all,
    Does anyone when Adobe is releasing the C/C++ interface to AS
    to the public? Any rumours..
    Thanks,
    KT

    See this cool mp3 xml player with visualization, playlist and
    skins. Fully customisable. Vector.
    http://flashden.net/item/mp3-xml-strongplayerstrong-with-visualization-and-skins-vectorise d/11851

  • I updated Flash Player, and now it says the plug-in is blocked...

    I am on an iMac (OS X, version 10.6.8), running Safari (5.1.10).
    Flash was running fine.
    I got a notice on Facebook that I needed to update my Flash Player.
    Silly me, DID!
    And now, it says the 'plug-in is blocked' and I need to update.
    So I updated again. Still blocked.
    I did a re-start after the update, thinking that might help. Nope.
    Well, this is one way to get me off of Facebook, thanks a bunch! :-)

    I'm a freelance web/graphic designer/videographer who makes his living with Adobe™ products.
    My work allows me to help here while designing websites for clients, so I "give back" to the comapny that enables my livelihood.
    The link goes to MY own website, where I have the PDF for download.
    I did that with my Snow Leopard machine over last weekend. It's easier than posting all the pictures for every step, here. There are two links in the PDF:
    1. is the latest Flash Player for Mac right here at Adobe™.
    2. is the End User License Agreement right here at Adobe™.
    See my info?
    4705 pts, means I've solved at leaast 400 people's troubles here (and helped a lot more) JUST in the last 9 months, but I've been here since 2004 under three other account names.
    Most of the people I help are Mac users because I'm a 12 year Mac user myself, and was once Apple certified.

  • Flash Catalyst, Flash Builder and Adobe Air....Issues...

    My problem is simple.
    I have a flash catalyst project I importedc it into flash builder - whats the issue? its a web app. I need it as a air app. I don't know how to change it from a web app to an air app.
    Also:
    If I publish the "demo" version in Flash cat as a air app and install it, I have to resize the window? even when I set the bounds to be 800x600 it shows up on the desktop as either half that or sligtly larger. even running the swf - publishing for both web and air for testing - i have to resize the swf (unless its embeded on a page). why is this happening?
    Tha main purpose here is to change the imported flas cat proj into a air app in flash builder so i can change the default chrome.
    Thanks.

    I finally find what the problem was. It has nothing to do with either the server, neither Flash Player or Adobe Air.
    The problem came from mstc window (remote desktop software). By default it was set to display 16bit colors. I might have changed it sometime to 15bit.
    By setting it to 16bit, it solved the problem.

  • I have tried to update flash player and when I put in my password, it is rejected.  I have recently updated my email address and changed my password, but adobe will not accept.  Can I get help, please, to update flash player?

    I have tried to update flash player and when I put in my password, it is rejected.  I have changed my email and password and have so informed adobe, but I am still unable to install flash player update.  How can I update adobe flash?

    This password prompt is presented by your operating system, and is intended to keep you from accidentally installing software.
    If this is your personal machine and you don't need a password to log into the computer when it first starts up, you can probably leave the password blank and click OK to get past this prompt.  If this is your personal machine and your normal password isn't working, check to make sure that CAPS LOCK is off, and type the password carefully.
    If this is your work machine and it's asking for an Administrator password, well, you'll need to have a conversation with your friendly IT person.

  • I was informed via Secunia that I needed to update Flash Player and then was given link to do so.

    I was informed via Secunia that I needed to update Flash player and then downloaded the new version.  After going into Adobe to see if I was installed correctly I found that the program was installed and I had the new version 10.0.45.2.   When I try to play a game that I have been playing for months, I get the message that I need Flash Player version 8 or above.   What am I doing wrong and what do I need to do now?

    Thanks for your response.
    Now I think I might have it but one thing confuses me.   Will mention it at the end.
    Using IE
    Going into Tools, Add Ons
    Lists Shockwave enabled 1/26/10 - Version 9.0.28.0
    Under Control Panel - Add or Remove Programs
    It has
        Adobe Flash Player 10 Active X
          Version 10.0.45.2
       Adobe Flash Player 10 Plug in
    Going into My Computer, Explore and then Macromedia and then Flash  it has 8 files
    1.  Flash 10e.oxc
         Active X
         Version 10.0.45.2
    2.  FlashUtil10e.exe
         Version 10.0.45.2
    3.  NPSWF32.dll
        Version 10.0.45.2
    4.  Uninstall_Active X.exe
    5.  FlashPlayer.xpt
    6.  Install Log
    7.  NPSWF32_Flash.Util.exe
         Version 10.0.45.2
    8.  Uninstall_plugin.exe
         Version 10.0.45.2
    Using Firefox
    Under Tools, Plug Ins
    Shockwave Flash  10.0.45.2
      doesn't say enable but gives a choice to disable so Assume it is enabled
    Going into - Control Panel -- Add or Remove Programs
    says  1. Adobe Flash Player 10Active X
    2.  Adobe Flash Player plug in.
          Version 10.0.45.2
    Going into My Computer - Macromedia, Flash
    Has 8 files
    1.  Flash 10e.ocx
         Version 10.0.45.2
    2.  FlashUtil10e.exe
         Version 10.0.45.2
    3.  NPSWF32.dll
          Version 10.0.45.2
    4.  Uninstall_ActiveX.exe
           Version 10.0.45.2
    5.  Flashplayer.xpt
    6.  Install Log
    7.  NPSWF32_FlashUtil.exe
           Version 10.0.45.2
    8.  Uninstall_plugin.exe
    What confuses me is that most of not all of the dates say 1/26/10.  Doesn't give a date of yesterday when I did Flash Player for Firefox.  Is that normal?
    Bottom line -- I can now do the games in Firefox that I haven't been able to play since I installed Firefox.  Wouldn't let me play some other video files as well.
    I am still unable to do slow scrolling in e-mail or other webpages when I make the page full screen.  that is only in Comcast and not AOL.  It must be a Comcast problem so will have to get in touch with them.
    Let me know if all my files in Flash are okay.
    Barbara

  • About Adobe Flash Player and Adobe Reader

    Hi folks,
    Archlinux 86-64 2007-08-2
    SeaMonkey 1.1.6,
    I need to install Adobe Flash Player and Adobe Reader
    I found following link;
    http://wiki.archlinux.org/index.php/Ins … _on_Arch64
    But not for Seamonkey.  Does it work on Seamonkey.  Besides it's flash plugin.  Would it be the same as Adobe Flash Player?
    Does 32bit Adobe Reader works on 64bit Seamonkey.  Where can I download it?  Where can I find its installation document?
    TIA
    B.R.
    satimis

    ghostHack wrote:
    Assuming you had run
    updatedb
    before doing
    locate ndiswrapper
    it looks like the package didn't build.  Go back to your nspluginwrapper directory and run
    makepkg
    as your user, if this completes successfully it should create a file called something like
    nspluginwrapper-0.9.91.5-3-x86_64.pkg.tar.gz
    probably in the current directory.  It may fail initially due to unsatisfied dependencies but you should be able to install them using pacman since I think all the lib32- stuff is in [Community] now.
    Thanks for your advice.
    Ran;
    $ sudo pacman -Syu
    Password:
    :: Synchronizing package databases...
    core is up to date
    extra is up to date
    community 330.8K 132.5K/s 00:00:02 [#####################] 100%
    archlinuxfr 26.2K 24.3K/s 00:00:01 [#####################] 100%
    :: Starting full system upgrade...
    :: Replace gstreamer0.10-alsa with extra/gstreamer0.10-base-plugins? [Y/n] Y
    :: Replace gstreamer0.10-cdparanoia with extra/gstreamer0.10-base-plugins? [Y/n] Y
    :: Replace gstreamer0.10-vorbis with extra/gstreamer0.10-base-plugins? [Y/n] Y
    :: Replace gstreamer0.10-gnomevfs with extra/gstreamer0.10-base-plugins? [Y/n] Y
    :: Replace gstreamer0.10-ogg with extra/gstreamer0.10-base-plugins? [Y/n] Y
    :: Replace gstreamer0.10-flac with extra/gstreamer0.10-good-plugins? [Y/n] Y
    :: Replace gstreamer0.10-gconf with extra/gstreamer0.10-good-plugins? [Y/n] Y
    :: Replace gnome-keyring-manager with extra/seahorse? [Y/n] Y
    warning: libgnomeui: forcing upgrade to version 2.22.1-1
    resolving dependencies...
    looking for inter-conflicts...
    :: cairo conflicts with cairo-lcd. Remove cairo-lcd? [Y/n] Y
    Remove: cairo-lcd gstreamer0.10-alsa gstreamer0.10-cdparanoia
    gstreamer0.10-vorbis gstreamer0.10-gnomevfs gstreamer0.10-ogg
    gstreamer0.10-flac gstreamer0.10-gconf gnome-keyring-manager
    Total Removed Size: 3.63 MB
    $ sudo updatedb
    No complaint
    $ ls nspluginwrapper/nspluginwrapper/
    PKGBUILD nspluginwrapper.install rpmextract.sh
    $ cd nspluginwrapper/nspluginwrapper
    Built the package as user
    $ makepkg
    ==> Making package: nspluginwrapper 0.9.91.5-3 (Wed Apr 16 10:13:38 HKT 2008)
    ==> Checking Runtime Dependencies...
    ==> Checking Buildtime Dependencies...
    ==> Retrieving Sources...
    -> Downloading nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm...
    --2008-04-16 10:13:38-- http://gwenole.beauchesne.info/projects/nspluginwrapper/files/nspluginwrapper-i3
    86-0.9.91.5-1.x86_64.rpm
    Resolving gwenole.beauchesne.info... 88.191.25.183
    Connecting to gwenole.beauchesne.info|88.191.25.183|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 52386 (51K) [application/x-rpm]
    Saving to: `nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm'
    100%[================================================================>] 52,386 27.0K/s in 1.9s
    2008-04-16 10:13:42 (27.0 KB/s) - `nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm' saved [52386/52386]
    -> Downloading nspluginwrapper-0.9.91.5-1.x86_64.rpm...
    --2008-04-16 10:13:42-- http://gwenole.beauchesne.info/projects/nspluginwrapper/files/nspluginwrapper-0.
    9.91.5-1.x86_64.rpm
    Resolving gwenole.beauchesne.info... 88.191.25.183
    Connecting to gwenole.beauchesne.info|88.191.25.183|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 58545 (57K) [application/x-rpm]
    Saving to: `nspluginwrapper-0.9.91.5-1.x86_64.rpm'
    100%[================================================================>] 58,545 9.56K/s in 6.0s
    2008-04-16 10:13:49 (9.56 KB/s) - `nspluginwrapper-0.9.91.5-1.x86_64.rpm' saved [58545/58545]
    -> Found rpmextract.sh in build dir
    ==> Validating source files with md5sums...
    nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm ... Passed
    nspluginwrapper-0.9.91.5-1.x86_64.rpm ... Passed
    rpmextract.sh ... Passed
    ==> Extracting Sources...
    ==> Entering fakeroot environment...
    ==> Starting build()...
    ./usr/lib/nspluginwrapper/i386
    ./usr/lib/nspluginwrapper/i386/linux
    ./usr/lib/nspluginwrapper/i386/linux/libxpcom.so
    ./usr/lib/nspluginwrapper/i386/linux/npviewer
    ./usr/lib/nspluginwrapper/i386/linux/npviewer.bin
    203 blocks
    ./usr/bin/nspluginwrapper
    ./usr/lib/nspluginwrapper
    ./usr/lib/nspluginwrapper/noarch
    ./usr/lib/nspluginwrapper/noarch/mkruntime
    ./usr/lib/nspluginwrapper/noarch/npviewer
    ./usr/lib/nspluginwrapper/x86_64
    ./usr/lib/nspluginwrapper/x86_64/linux
    ./usr/lib/nspluginwrapper/x86_64/linux/npconfig
    ./usr/lib/nspluginwrapper/x86_64/linux/npwrapper.so
    ./usr/lib64/mozilla/plugins/npwrapper.so
    ./usr/share/doc/nspluginwrapper-0.9.91.5
    ./usr/share/doc/nspluginwrapper-0.9.91.5/COPYING
    ./usr/share/doc/nspluginwrapper-0.9.91.5/NEWS
    ./usr/share/doc/nspluginwrapper-0.9.91.5/README
    251 blocks
    ==> Tidying install...
    -> Removing info/doc files...
    -> Compressing man pages...
    -> Stripping debugging symbols from binaries and libraries...
    ==> Creating package...
    -> Generating .PKGINFO file...
    -> Adding install script...
    -> Compressing package...
    ==> Leaving fakeroot environment.
    ==> Finished making: nspluginwrapper (Wed Apr 16 10:13:50 HKT 2008)
    This time NO complaint.
    $ ls
    PKGBUILD nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm pkg src
    nspluginwrapper-0.9.91.5-1.x86_64.rpm nspluginwrapper.install rpmextract.sh
    But
    nspluginwrapper-0.9.91.5-3-x86_64.pkg.tar.gz
    can't be found
    I can't find 'alien' and 'dpkg' on repo.  With them I can convert .rpm package to .deb package and install the later with with dpkg.  Or is there any way on Archlinux?
    Any suggestion?  TIA
    B.R.
    satimis

  • Flash Builder and Adobe AIR: anybody there?

    Hi,
    I've recently posted quite a few posts reporting very serious bugs of both Flash Builder 4.6 and Adobe AIR especially on mobile platforms, and asking about possible fixes and workarounds.
    I would have expected immediate replies by someone at Adobe showing some interest in such blocker bugs that render Flash Builder completely useless, and developing AIR apps for mobile impossible. But there was no reply at all.
    I wonder, are Flash Builder and Adobe AIR being maintained, or have they been abandoned? Because in the latter case I'd rather know it and stop wasting my time using this platform for development.
    thanks
    m.

    I feel your preoccupations, Matteo. I have them too.
    A few days ago, Gartner issued a document, called - as usual for Gartner - "magic quadrant", related to Mobile App Develpment 2012.
    This document explains the situation of the different vendors so one can make an educated choice about the IDE to use for platform-independent mobile things.
    Adobe is well-positioned in this quadrant. However, Gartner (who have talks with vendors before issueing their reports) only referred to PhoneGap when explaining how Adobe addresses mobile app development.
    This is a shame, because FB is powerful and uses ActionScript (which many of us like).
    I have bought FB last year and had fun with it. I don't think it's going to last for long, if I Adobe doesn't show that HTML5 + CSS aren't the only way to go.

  • Where can i find SCUP catalogue for Adobe Shockwaye player and Adobe Air

    Where can i find SCUP catalog for Adobe Shockwave player and Adobe Air.
    i need to upgrade Adobe Air 14.0 and Adobe Shockwave player 12.0.1.
    i want to import catalog through SCUP and then deploy it using SCCM 2012r2

    Why do you want 8?
    You would be better off with 9: http://download.cnet.com/Adobe-Reader/3000-10743_4-10000062.html?tag=mncol
    How much system RAM do you have? I bet if you upgraded your RAM you would not have the performance issues with 9.
    sds drill

  • I have updated Flash player twice but keep getting the icon box telling me to update?

    I have updated Flash player twice but keep getting the icon box telling me to update?

    @zeyoo,
    Please let us know your operating system and browser.
    Please see the following docs that has step-by-step instructions on installing Flash Player:
    Windows: http://helpx.adobe.com/flash-player/kb/installation-problems-flash-player-windows.html
    Mac: http://helpx.adobe.com/flash-player/kb/installation-problems-flash-player-mac.html
    Thanks,
    Sunil

  • Flash Player And adobe reader not working and downloads don't work

    I have IE 8 and windows vista and everything has worked great for 2 years until 2 or 3 weeks ago.  At that time my flash player stopped working so I could no longer get videos , streaming stock quotes, weather map loops, etc and when I go to websites that use Flash (i.e. Piaaz Hut) it wouldn't work.  Also, at that same time my adobe reader stopped working properly and I can't view mosy PDF Files.
    I have gone through many of the posts on this forum and have tried many of the fixes, but none have work for me.
    I tried to uninstall the Flash Player, but I didn't use the Adobe uninstaller.
    Whenever I try to update or load the Flash player, a dialog box with the globe tossing papers to the folder appears and then after a few seconds I get the the message that IE can't install_flash_player_ax.exe from fp download.adobe.com, and then a message that says IE was not able to open this internet site. The requested site is either unavailable or cannot be found.
    In control panel programs I have listed
    Adobe AIR      no size
    Adobe Flash Player 10 active X           no size
    Adobe Reader 9.3     141mb
    Macromedia Shockwave player      no size
    In Tools i have the following add ons and they are all enabled
    Shockwave Flash object 10.0.42.34
    Adobe PDF Link Helper
    Adobe PDF Reader
    Macromedia Shockwave Active X Control 10.1
    As I said I've already attempted a number of the fixes on this forum, but so far no luck.
    Does anyone have any suggestions on what else I might try?
    Thanks

    Ok, I tried to download the firefox browser but IE wouldn't let me download it.  My friend downloaded it from their computer to a flash drive and I loaded it to my computer from the flash drive.  The download of Firefox from the flash drive worked, and now I'm using Firefox & both my adobe flash player and my adobe reader are working just great.
    However, neither the flash player nor the reader are working if I use IE, so I guess I will just have to use Firefox as my browser.
    I'm going to mark my question as answered since I really don't care that I have to use Firefox instead of IE,although I can't understand why it works using Firefox but not using IE.
    Thank you so much for your assistance in walking me step-by-step through this problem until I was able to reach a satisfactory solution.

  • Update Flash Player via Adobe or whatever Apple updates?

    I have always just let whatever Apple installer that updates Flash Player do my flash updating. Should I, instead, just always update directly from Adobe whatever the "latest" version of FP is? In the past, Apple seems to include a FP update with either a Safari or Security update. I have no idea if they do not update FP on a more frequent schedule because Apple has not "tested" the latest version.
    Also, I have read that it is better to uninstall your current FP before running the current installer, however, the instructions on Adobe's website does not mention that at all.
    Any suggestions?
    Message was edited by: powerbook1701

    Apple does not provide Flash Player updates, and the version included with the OS X install disks may be out of date.
    Update via Adobe when you hear of an update, or just check regularly.
    The latest version of Adobe FlashPlayer can be obtained from here:
    http://www.adobe.com/shockwave/download/download.cgi?P1ProdVersion=ShockwaveFlash
    (You can check here: http://www.adobe.com/products/flash/about/ to see which version you should install for your Mac and OS.
    You should first uninstall any previous version of Flash Player, using the uninstaller from here (make sure you use the correct one!):
    http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14157
    and also that you follow the instructions closely, such as closing ALL applications first before installing. You must also carry out a permission repair after installing anything from Adobe.

  • Windows 8.1 not recognizing Adobe Flash Player and Adobe help not helpful

    I have a new laptop with Windows 8.1 64 bit. I tried to view a video and it said I did not have flash player. I went to download adobe flash player and your website said I had it intergrated into 8.1 and that it was either disabled, not the right version or that active X filters needed to be clear. I followed all instructions. Flash was installed with the 8.1 64 bit version. Flash was enabled for all websites and I cleared the active X filter and I still get told that I don't have install flash because it is intergrated and but it does not work. Please help I am in a cycle where Adobe is not helping just sending me in a circle. Thank you

    Your problems aren't with Adobe or Flash Player. They're with Internet explorer 11 and Microsoft.
    IE11 (Windows 7, 8 & 8.1) has been an abomination since its release October 18, 2013. Yahoo, Facebook, BBC, ESPN and dozens of other sites and domains have had trouble recognizing the Browser. If the site doesn't recognize the browser, it won't recognize any plugins in the browser, including Flash Player. Microsoft was made aware of the problems by millions of users within hours of the release, and so far they've shown no sign that they intend to fix it anytime soon. Their recommendation is to enable Compatibility View for affected pages. Two problems with that are that it's had only limited success, and you must enable it manually for each affected page. Basically, they're telling you to "pretend" you're not using IE11.
    I'm not big on "pretending", and I recommend actually using something different. Something that works where IE11 won't.
    Firefox (from Mozilla)
    Chrome (from Google)
    Safari (from Apple)
    Opera (from Opera)
    ANY of those will work where IE isn't recognized, and they use the Flash Player Plug-in (for other browsers), except for Chrome, which has its own plugin embedded in by Google.

Maybe you are looking for